/**
 * WordPress dependencies
 */
import '@wordpress/notices';
import {
	registerCoreBlocks,
	__experimentalRegisterExperimentalCoreBlocks,
} from '@wordpress/block-library';
import { render } from '@wordpress/element';

/**
 * Internal dependencies
 */
import './hooks';
import './store';
import Editor from './components/editor';

/**
 * Initializes the site editor screen.
 *
 * @param {string} id       ID of the root element to render the screen in.
 * @param {Object} settings Editor settings.
 */
export function initialize( id, settings ) {
	registerCoreBlocks();
	if ( process.env.GUTENBERG_PHASE === 2 ) {
		__experimentalRegisterExperimentalCoreBlocks( settings );
	}
	render( <Editor settings={ settings } />, document.getElementById( id ) );
}

export { default as __experimentalMainDashboardButton } from './components/header/main-dashboard-button';
export { default as __experimentalFullscrenModeClose } from './components/header/fullscreen-mode-close';
